package djmil.cordacheckers.gameresult;

public class Rank {
    private Integer gamesPlayed;
    private Integer gamesWon;

    // Serialisation service requires a default constructor
    public Rank() {
        gamesPlayed = 0;
        gamesWon = 0;
    }

    public Rank(Integer gamesPlayed, Integer gamesWon) {
        this.gamesPlayed = gamesPlayed;
        this.gamesWon = gamesWon;
    }

    Rank gamePlayed() {
        gamesPlayed++;
        return this;
    }

    Rank gameWon() {
        gamesWon++;
        return this;
    }

    public Integer getGamesPlayed() {
        return gamesPlayed;
    }

    public Integer getGamesWon() {
        return gamesWon;
    }

}
